Package org.eclipse.birt.report.engine.api

# Interface IExtractionOption

All Superinterfaces:
  `ITaskOption`

All Known Subinterfaces:
  `IDataExtractionOption`

All Known Implementing Classes:
  `DataExtractionOption`

public interface IExtractionOption extends ITaskOption

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPTION_FORMATTER`
`static final String`
`OUTPUT_FILE_NAME`
`static final String`
`OUTPUT_FORMAT`
`static final String`
`OUTPUT_STREAM`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getFormatter()`
Get the format option.
`String`
`getOutputFile()`
Get output file name.
`String`
`getOutputFormat()`
Get output format.
`OutputStream`
`getOutputStream()`
Get output stream.
`void`
`setFormatter(Map formatters)`
Set the formatters used to output the value.
`void`
`setOutputFile(String filename)`
Set output file.
`void`
`setOutputFormat(String format)`
Set output format.
`void`
`setOutputStream(OutputStream out)`
Set output stream.

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### OUTPUT_FORMAT

static final String OUTPUT_FORMAT

See Also:
  - Constant Field Values

### OUTPUT_FILE_NAME

static final String OUTPUT_FILE_NAME

See Also:
  - Constant Field Values

### OUTPUT_STREAM

static final String OUTPUT_STREAM

See Also:
  - Constant Field Values

### OPTION_FORMATTER

static final String OPTION_FORMATTER

See Also:
  - Constant Field Values

## Method Details

### setOutputFormat

void setOutputFormat(String format)
Set output format.

Parameters:
  `format` - output format.

### getOutputFormat

String getOutputFormat()
Get output format.

### setOutputStream

void setOutputStream(OutputStream out)
Set output stream.

Parameters:
  `out` - output stream.

### getOutputStream

OutputStream getOutputStream()
Get output stream.

### setOutputFile

void setOutputFile(String filename)
Set output file.

Parameters:
  `filename` - name of the output file.

### getOutputFile

String getOutputFile()
Get output file name.

### setFormatter

void setFormatter(Map formatters)
Set the formatters used to output the value. The format option is a hash map, the key can be the column name or column index (start from 1), the value should be a format pattern. If no format is defined, the value should be outputted as current implementation.

Parameters:
  `formatters` -

### getFormatter

Map getFormatter()
Get the format option.

Returns: